cURL
curl --request GET \
--url 'https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/prediction/events/{slug}/cross-venue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"timestamp": "2025-06-19T12:00:00.000Z",
"data": {
"source": "kalshi",
"childMarkets": 123,
"matches": [
{
"marketSlug": "<string>",
"question": "<string>",
"groupId": "<string>",
"currentYes": 123,
"match": {
"source": "kalshi",
"ticker": "KXBRPRES-26-LULA",
"question": "<string>",
"yesPrice": 123,
"endDate": "2023-11-07T05:31:56Z",
"volume24hr": 123,
"confidence": 0.96,
"method": "embedding",
"delta": -0.015,
"groupId": "<string>",
"url": "<string>",
"externalUrl": "<string>"
}
}
]
},
"meta": {
"curated": 123,
"matched": 123
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Events
Event Cross Venue
Matched markets on the other venue (Kalshi <-> Polymarket)
GET
/
v1
/
prediction
/
events
/
{slug}
/
cross-venue
cURL
curl --request GET \
--url 'https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/prediction/events/<slug>/cross-venue")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/prediction/events/{slug}/cross-venue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"timestamp": "2025-06-19T12:00:00.000Z",
"data": {
"source": "kalshi",
"childMarkets": 123,
"matches": [
{
"marketSlug": "<string>",
"question": "<string>",
"groupId": "<string>",
"currentYes": 123,
"match": {
"source": "kalshi",
"ticker": "KXBRPRES-26-LULA",
"question": "<string>",
"yesPrice": 123,
"endDate": "2023-11-07T05:31:56Z",
"volume24hr": 123,
"confidence": 0.96,
"method": "embedding",
"delta": -0.015,
"groupId": "<string>",
"url": "<string>",
"externalUrl": "<string>"
}
}
]
},
"meta": {
"curated": 123,
"matched": 123
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}3 credits per request
You will get
You will get
- For each child market of the event, the best-matching market on the other venue, with a
confidencescore (0..1) and pricedelta. meta.curated/meta.matchedtell you how many child markets were eligible and how many found a counterpart.- Use it to compare an entire race or series across both books in one call.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Path Parameters
Was this page helpful?